Skip to main content
Fetch a list of all events on an Account, Subscription, Product, or Rate Plan.

HTTP Request

GET https://api.vindicia.com/events

Route (URL) Parameters

None.

Query Parameters

Accepts

None.

Returns

JSON - A list array with a data property that contains an array of up to limit Events, starting after the specified starting_after Event (or ending before the specified ending_before Event). Each entry in the array is a full Event object. If no more objects are available, the resulting array will be empty. This request should never throw an error. A list of Event objects matching the query. Also:
  • “total_count”: Integer count of the number of Event objects in the returned list.
  • “url”: The query string provided in the request
  • “next”: The route (partial URL) to the next Event object (string to select the “next”); included id should match that of the last object returned here
  • “previous”: The route (partial URL) to the previous Event object (string to select the “previous”); included id should match that of the first object returned here

Example Return

Parent topic:Events